<template>
  <!--
  Heads up! 👋

  This component comes with some `rtl` classes. Please remove them if they are not needed in your project.
-->

  <section class="dept-container">
    <p class="text-2xl text-gray-500 mb-10">АНАЛИТИКА ОТДЕЛОВ ПРОДАЖ</p>
    <div v-if="1===2" class="max-w-full pr-10">
      <h2 class="sr-only">Steps</h2>
      <div class="relative after:absolute after:inset-x-0 after:top-1/2 after:block after:h-0.5 after:-translate-y-1/2 after:rounded-lg after:bg-gray-100">
        <ol class="relative z-10 flex justify-between text-sm font-medium text-gray-500">
          <li class="flex items-center gap-2 bg-white p-2 bg-grey-1">
            <span :class="step === 1 && 'bg-blue-600 text-white' || 'bg-gray-100'" class="w-6 rounded-full bg-gray-100 text-center text-[10px]/6 font-bold"> 1 </span>

            <span :class="step === 1 && 'text-blue'" class="sm:block"> Выбрать Отдел </span>
          </li>

          <li class="flex items-center gap-2 bg-white p-2 bg-grey-1">
        <span :class="step === 2 && 'bg-blue-600 text-white' || 'bg-gray-100'" class="w-6 rounded-full text-center text-[10px]/6 font-bold "> 2 </span>

            <span :class="step === 2 && 'text-blue'" class="sm:block"> Выбрать менеджера </span>
          </li>

          <li class="flex items-center gap-2 bg-white p-2 bg-grey-1">
            <span :class="step === 3 && 'bg-blue-600 text-white' || 'bg-gray-100'" class="w-6 rounded-full text-center text-[10px]/6 font-bold"> 3 </span>

            <span :class="step === 3 && 'text-blue'" class="sm:block"> Аналитика </span>
          </li>
        </ol>
      </div>
    </div>

    <div v-if="1===2">
      <div v-if="step === 1" class="overflow-auto grid gap-2 sm:grid-cols-3 grid-cols-2 lg:grid-cols-5 xl:grid-cols-8 py-2 cursor-pointer" style="max-height: calc(100% - 180px)">
        <div v-for="d in department" @click="getDeptOne(d._id)" class="flex items-center p-3 rounded-xl border border-gray-100 p-4 shadow-sm hover:border-gray-200 hover:ring-1 hover:ring-gray-200 focus:outline-none focus:ring">
          <span class="inline-block rounded-lg bg-gray-50 p-2 mr-2 bg-gray-100">
            <svg
                class="size-6"
                width="20"
                height="20"
                fill="none"
                stroke="currentColor"
                viewBox="0 0 24 24"
                xmlns="http://www.w3.org/2000/svg"
            >
              <path d="M12 14l9-5-9-5-9 5 9 5z"></path>
              <path
                  d="M12 14l6.16-3.422a12.083 12.083 0 01.665 6.479A11.952 11.952 0 0012 20.055a11.952 11.952 0 00-6.824-2.998 12.078 12.078 0 01.665-6.479L12 14z"
              ></path>
              <path
                  stroke-linecap="round"
                  stroke-linejoin="round"
                  stroke-width="2"
                  d="M12 14l9-5-9-5-9 5 9 5zm0 0l6.16-3.422a12.083 12.083 0 01.665 6.479A11.952 11.952 0 0012 20.055a11.952 11.952 0 00-6.824-2.998 12.078 12.078 0 01.665-6.479L12 14zm-4 6v-7.5l4-2.222"
              ></path>
            </svg>
          </span>
          <div>{{d.username}}</div>
        </div>
      </div>
      <div v-else class="overflow-auto grid gap-2 sm:grid-cols-3 grid-cols-2 lg:grid-cols-5 xl:grid-cols-8 py-2 cursor-pointer" style="max-height: calc(100% - 180px)">
        <div v-for="d in salesman" @click="selectUser(d._id)" :class="{'bg-blue-200':selectedUser === d._id}" class="flex items-center p-3 rounded-xl border border-gray-100 p-4 shadow-sm hover:border-gray-200 hover:ring-1 hover:ring-gray-200 focus:outline-none focus:ring">
        <span class="inline-block rounded-lg bg-gray-50 p-2 mr-2 bg-gray-100">
            <svg
                class="size-6"
                width="20"
                height="20"
                fill="none"
                stroke="currentColor"
                viewBox="0 0 24 24"
                xmlns="http://www.w3.org/2000/svg"
            >
              <path d="M12 14l9-5-9-5-9 5 9 5z"></path>
              <path
                  d="M12 14l6.16-3.422a12.083 12.083 0 01.665 6.479A11.952 11.952 0 0012 20.055a11.952 11.952 0 00-6.824-2.998 12.078 12.078 0 01.665-6.479L12 14z"
              ></path>
              <path
                  stroke-linecap="round"
                  stroke-linejoin="round"
                  stroke-width="2"
                  d="M12 14l9-5-9-5-9 5 9 5zm0 0l6.16-3.422a12.083 12.083 0 01.665 6.479A11.952 11.952 0 0012 20.055a11.952 11.952 0 00-6.824-2.998 12.078 12.078 0 01.665-6.479L12 14zm-4 6v-7.5l4-2.222"
              ></path>
            </svg>
          </span>
          <div>{{d.username}}</div>
        </div>
      </div>
    </div>

    <div v-if="!load && users.length" class="dept-container-users">
      <div v-for="user in users" id="toast-default" class="flex items-center w-40 p-4 text-gray-500 bg-white rounded-lg shadow dark:text-gray-400 dark:bg-gray-800" role="alert">
        <div :class="{'text-blue-500 bg-blue-100': user.budgetSum < 50000, 'text-red-700 bg-red-400': user.budgetSum > 150000, 'text-blue-700 bg-blue-300': user.budgetSum > 50000 && user.budgetSum < 150000}" class="inline-flex items-center justify-center flex-shrink-0 w-8 h-8  rounded-lg dark:bg-blue-800 dark:text-blue-200">
          <div v-if="user.budgetSum">
            <svg v-if="user.budgetSum < 100000" class="w-4 h-4" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 18 20">
              <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M15.147 15.085a7.159 7.159 0 0 1-6.189 3.307A6.713 6.713 0 0 1 3.1 15.444c-2.679-4.513.287-8.737.888-9.548A4.373 4.373 0 0 0 5 1.608c1.287.953 6.445 3.218 5.537 10.5 1.5-1.122 2.706-3.01 2.853-6.14 1.433 1.049 3.993 5.395 1.757 9.117Z"/>
            </svg>
            <svg v-else class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="currentColor" viewBox="0 0 24 24">
              <path d="M8.597 3.2A1 1 0 0 0 7.04 4.289a3.49 3.49 0 0 1 .057 1.795 3.448 3.448 0 0 1-.84 1.575.999.999 0 0 0-.077.094c-.596.817-3.96 5.6-.941 10.762l.03.049a7.73 7.73 0 0 0 2.917 2.602 7.617 7.617 0 0 0 3.772.829 8.06 8.06 0 0 0 3.986-.975 8.185 8.185 0 0 0 3.04-2.864c1.301-2.2 1.184-4.556.588-6.441-.583-1.848-1.68-3.414-2.607-4.102a1 1 0 0 0-1.594.757c-.067 1.431-.363 2.551-.794 3.431-.222-2.407-1.127-4.196-2.224-5.524-1.147-1.39-2.564-2.3-3.323-2.788a8.487 8.487 0 0 1-.432-.287Z"/>
            </svg>
          </div>
          <span class="sr-only">Fire icon</span>
        </div>
        <div class="ms-3 text-sm font-normal ml-1">{{user.username}}</div>
        <div class="ms-3 text-sm font-normal">Сумма:
          <span :class="{'text-red':user.budgetSum > 150000, 'text-blue':user.budgetSum > 50000 && user.budgetSum < 150000, 'border-b border-black border-solid': user.budgetSum > 0}" class="font-semibold">{{user.budgetSum}}</span>
        </div>
      </div>
    </div>

    <div v-else>
      <LoadsSpinner large class="absolute left-1/2 -translate-x-1/2 mt-12" />
    </div>
  </section>
</template>

<script>
import api from "../../API/analytics";
import {ref} from "vue";
import LoadsSpinner from "../../components/Loads-spinner.vue";

export default {
  name: "Dept",
  components: {LoadsSpinner},
  props: {
    date: Object,
    selectedTime: Array
  },
  setup(prop, {emit}) {
    const load = ref(true)
    const step = ref(1)
    const department = ref([])
    // api.getDept().then(res => {
    //   department.value.push(...res.data.dept)
    //   load.value = false
    // })

    const selectedUser = ref(null)
    function selectUser (_id) {
      selectedUser.value = _id
      emit('selectUser', _id)
    }

    const salesman = ref([])
    const analytics = {
    }
    function getDeptOne (user_id) {
      // load.value = true
      // api.getDeptOne({user_id}).then(res => {
      //   step.value += 1
      //   salesman.value.push(...res.data.dept)
      //
      //   load.value = false
      // })
    }

    const users = ref([])
    async function getAnalytics() {
      await api.getAnalytics({from: prop.date.from, to: prop.date.to, id: 4, exception: prop.exception})
          .then(res => users.value = res.data.data)
      load.value = false
    }
    getAnalytics()

    return {
      load,step,
      department, salesman,
      getDeptOne, selectUser,selectedUser,
      getAnalytics, users,
    }
  }
}
</script>

<style lang="scss" scoped>
.dept-container {
  height: calc(100vh - 160px);
  overflow-y: auto;
  .dept-container-users {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(140px, 1fr)); /* Замените 200px на желаемую ширину колонки */
    gap: 10px; /* Установите нужный промежуток между колонками */
  }
}
</style>